Skip to content
GET /scim-token

Query Parameters

team_idstring · uuid

Filter tokens by team ID.

Example: 05daecaf-4365-42e8-8370-8127de5dd717
namestring

Filter tokens by name.

Example: Okta provisioning

Response Body

limitnumber
Example: 100
next_cursorstring
Example: MjAyNC0wNS0yMVQwNjoyNTozMy4xMjRa
resultobject[]
created_atstring · date-time

The date and time when the token was created.

Example: 2021-08-10T10:00:00.000Z
created_bystring · uuid

The ID of the user who created this token.

Example: b7bb7578-bff2-42b2-a57f-46c874865296
idstring · uuid

The ID of the SCIM token.

Example: 1ba1f401-7183-47c5-9e39-e8e257e3c795
last_used_atstring · date-time

The date and time the IdP last authenticated against /scim/v2 with this token. Null if never used.

Example: 2021-08-12T09:15:00.000Z
namestring

A descriptive name for the SCIM token.

Example: Okta provisioning
team_idstring · uuid

The ID of the team that owns this SCIM token.

Example: 05daecaf-4365-42e8-8370-8127de5dd717
updated_atstring · date-time

The date and time when the token was last updated.

Example: 2021-08-10T10:30:00.000Z
curl -X GET 'https://api.truto.one/scim-token' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.truto.one/scim-token', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/scim-token"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())